Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
Class JspSubmitToRemoteTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
                  org.codehaus.groovy.grails.web.taglib.jsp.JspSubmitToRemoteTag

All Implemented Interfaces:
  Serializable, BodyTag, DynamicAttributes, IterationTag, JspTag, Tag

    public class JspSubmitToRemoteTag

extends JspInvokeGrailsTagLibTag

Since:
  28-Feb-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`attributes`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JspSubmitToRemoteTag()`

Method Summary
`String` | `getAction()`
`String` | `getAfter()`
`String` | `getAsynchronous()`
`String` | `getBefore()`
`String` | `getController()`
`String` | `getId()`
`String` | `getMethod()`
`String` | `getName()`
`String` | `getOnComplete()`
`String` | `getOnFailure()`
`String` | `getOnInteractive()`
`String` | `getOnLoaded()`
`String` | `getOnLoading()`
`String` | `getOnSuccess()`
`String` | `getParams()`
`String` | `getUpdate()`
`String` | `getUrl()`
`String` | `getValue()`
`void` | `setAction(String action)`
`void` | `setAfter(String after)`
`void` | `setAsynchronous(String asynchronous)`
`void` | `setBefore(String before)`
`void` | `setController(String controller)`
`void` | `setId(String id)`
`void` | `setMethod(String method)`
`void` | `setName(String name)`
`void` | `setOnComplete(String onComplete)`
`void` | `setOnFailure(String onFailure)`
`void` | `setOnInteractive(String onInteractive)`
`void` | `setOnLoaded(String onLoaded)`
`void` | `setOnLoading(String onLoading)`
`void` | `setOnSuccess(String onSuccess)`
`void` | `setParams(String params)`
`void` | `setUpdate(String update)`
`void` | `setUrl(String url)`
`void` | `setValue(String value)`

Methods inherited from class org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
`doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JspSubmitToRemoteTag

    public JspSubmitToRemoteTag()

Method Detail

### getParams

    public String getParams()

### setParams

    public void setParams(String params)

### getOnSuccess

    public String getOnSuccess()

### setOnSuccess

    public void setOnSuccess(String onSuccess)

### getOnFailure

    public String getOnFailure()

### setOnFailure

    public void setOnFailure(String onFailure)

### getOnComplete

    public String getOnComplete()

### setOnComplete

    public void setOnComplete(String onComplete)

### getOnLoading

    public String getOnLoading()

### setOnLoading

    public void setOnLoading(String onLoading)

### getOnLoaded

    public String getOnLoaded()

### setOnLoaded

    public void setOnLoaded(String onLoaded)

### getOnInteractive

    public String getOnInteractive()

### setOnInteractive

    public void setOnInteractive(String onInteractive)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getName

    public String getName()

### setName

    public void setName(String name)

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### getController

    public String getController()

### setController

    public void setController(String controller)

### getAction

    public String getAction()

### setAction

    public void setAction(String action)

### getId

    public String getId()

  Overrides:
    `getId` in class `TagSupport`

### setId

    public void setId(String id)

  Overrides:
    `setId` in class `TagSupport`

### getUpdate

    public String getUpdate()

### setUpdate

    public void setUpdate(String update)

### getBefore

    public String getBefore()

### setBefore

    public void setBefore(String before)

### getAfter

    public String getAfter()

### setAfter

    public void setAfter(String after)

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String method)

### getAsynchronous

    public String getAsynchronous()

### setAsynchronous

    public void setAsynchronous(String asynchronous)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project